Name:           perl-MooseX-MethodAttributes
Summary:        Introspect your method code attributes
Version:        0.20
Release:        2%{?dist}
License:        GPL+ or Artistic
Group:          Development/Libraries
Source0:        http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/MooseX-MethodAttributes-%{version}.tar.gz 
URL:            http://search.cpan.org/dist/MooseX-MethodAttributes
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.11
BuildRequires:  perl(Moose) >= 0.97
BuildRequires:  perl(MooseX::Types) >= 0.20
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(namespace::clean) >= 0.10
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.88

Requires:       perl(Moose) >= 0.97
Requires:       perl(MooseX::Types) >= 0.20
Requires:       perl(namespace::autoclean)
Requires:       perl(namespace::clean) >= 0.10


%{?perl_default_filter}
%{?perl_default_subpackage_tests}

%description
This module allows code attributes of methods to be introspected using
Moose meta method objects.


%prep
%setup -q -n MooseX-MethodAttributes-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.20-2
- Mass rebuild with perl-5.12.0

* Mon Mar 08 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.20-1
- update by Fedora::App::MaintainerTools 0.004
- updating to latest GA CPAN version (0.20)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.11)
- altered br on perl(Moose) (0.90 => 0.97)
- dropped old BR on perl(MRO::Compat)
- altered req on perl(Moose) (0.90 => 0.97)
- dropped old requires on perl(MRO::Compat)

* Fri Feb 05 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.19-1
- add perl_default_filter
- PERL_INSTALL_ROOT => DESTDIR in install
- auto-update to 0.19 (by cpan-spec-update 0.01)

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.18-2
- rebuild against perl 5.10.1

* Sat Sep 26 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.18-1
- auto-update to 0.18 (by cpan-spec-update 0.01)
- altered br on perl(Moose) (0.79 => 0.90)
- altered br on perl(MooseX::Types) (0.06 => 0.20)
- altered br on perl(Test::More) (0 => 0.88)
- added a new br on perl(namespace::autoclean) (version 0)
- altered br on perl(namespace::clean) (0 => 0.10)
- altered req on perl(Moose) (0.79 => 0.90)
- altered req on perl(MooseX::Types) (0.06 => 0.20)
- added a new req on perl(namespace::autoclean) (version 0)
- altered req on perl(namespace::clean) (0 => 0.10)

* Sat Sep 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.16-1
- auto-update to 0.16 (by cpan-spec-update 0.01)

* Wed Aug 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.15-1
- auto-update to 0.15 (by cpan-spec-update 0.01)
- added a new br on perl(MRO::Compat) (version 0)
- added a new req on perl(MRO::Compat) (version 0)
- added a new req on perl(Moose) (version 0.79)
- added a new req on perl(MooseX::Types) (version 0.06)
- added a new req on perl(namespace::clean) (version 0)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 09 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.14-1
- auto-update to 0.14 (by cpan-spec-update 0.01)

* Mon Jun 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.13-1
- auto-update to 0.13 (by cpan-spec-update 0.01)

* Wed May 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.12-1
- add br on Test::Exception (missing as a test/br:
  https://rt.cpan.org/Ticket/Display.html?id=46396)
- auto-update to 0.12 (by cpan-spec-update 0.01)

* Thu May 21 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.11-1
- auto-update to 0.11 (by cpan-spec-update 0.01)
- altered br on perl(Moose) (0.70 => 0.79)

* Mon Apr 20 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.06-2
- must remember to check summary! *sigh*

* Mon Apr 20 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.06-1
- submission

* Mon Apr 20 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.06-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)
